Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.catedit
Class DefaultItemElementRenderer

    java.lang.Object
      com.tonbeller.wcf.catedit.DefaultItemElementRenderer

All Implemented Interfaces:
  CategoryModelChangeListener, java.util.EventListener, ItemElementRenderer, RenderListener, RequestListener

public class DefaultItemElementRenderer
extends java.lang.Object
implements ItemElementRenderer

creates a DOM Element named "cat-item" with attribute "name"

Author:
  av

Constructor Summary
`DefaultItemElementRenderer()` Constructor for DefaultItemElementRenderer.

Method Summary
`void` | `categoryModelChanged(CategoryModelChangeEvent event)`
`java.lang.String` | `getElementName()`
`org.w3c.dom.Element` | `render(RequestContext context, org.w3c.dom.Document factory, Category cat, Item item)`
`void` | `request(RequestContext context)` notified by a Dispatcher for specific HTTP Requests
`void` | `setElementName(java.lang.String elementName)`
`void` | `startRendering(RequestContext context)` informs the implementor that the component is going to be rendered
`void` | `stopRendering()` informs the implementor that the tree has been rendered

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultItemElementRenderer

    public DefaultItemElementRenderer()

  Constructor for DefaultItemElementRenderer.

Method Detail

### render

    public org.w3c.dom.Element render(RequestContext context,
                                      org.w3c.dom.Document factory,
                                      Category cat,
                                      Item item)

  Specified by:
    `render` in interface `ItemElementRenderer`

### getElementName

    public java.lang.String getElementName()

### setElementName

    public void setElementName(java.lang.String elementName)

### startRendering

    public void startRendering(RequestContext context)

  Description copied from interface: `RenderListener`
  informs the implementor that the component is going to be rendered

  Specified by:
    `startRendering` in interface `RenderListener`

### stopRendering

    public void stopRendering()

  Description copied from interface: `RenderListener`
  informs the implementor that the tree has been rendered

  Specified by:
    `stopRendering` in interface `RenderListener`

### categoryModelChanged

    public void categoryModelChanged(CategoryModelChangeEvent event)

  Specified by:
    `categoryModelChanged` in interface `CategoryModelChangeListener`

### request

    public void request(RequestContext context)
                 throws java.lang.Exception

  Description copied from interface: `RequestListener`
  notified by a Dispatcher for specific HTTP Requests

  Specified by:
    `request` in interface `RequestListener`
  Parameters:
    `context` - the current request
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD